Skip to content
Browse files

Added localized versioning so we can manage our changes independently…

… of the core project
  • Loading branch information...
1 parent 0bf48e4 commit 323c44c3232863fefb38492293d70ee365e413f1 @sumirolabs sumirolabs committed Mar 28, 2012
Showing with 30 additions and 0 deletions.
  1. +4 −0 lib/databasedotcom/ls-version.rb
  2. +26 −0 ls-databasedotcom.gemspec
View
4 lib/databasedotcom/ls-version.rb
@@ -0,0 +1,4 @@
+# This allows us to version this gem for LS but stay in sync with the main project, hence the fourth version component.
+module Databasedotcom
+ VERSION = "1.3.0.1"
+end
View
26 ls-databasedotcom.gemspec
@@ -0,0 +1,26 @@
+# This allows us to version this gem for LS but stay in sync with the main project.
+
+# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "databasedotcom/ls-version"
+
+Gem::Specification.new do |s|
+ s.name = "ls-databasedotcom"
+ s.version = Databasedotcom::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Glenn Gillen, Danny Burkes & Richard Zhao"]
+ s.email = ["me@glenngillen.com"]
+ s.homepage = ""
+ s.summary = %q{A ruby wrapper for the Force.com REST API}
+ s.description = %q{A ruby wrapper for the Force.com REST API}
+
+ s.rubyforge_project = "databasedotcom"
+
+ s.files = Dir['README.rdoc', 'MIT-LICENSE', 'lib/**/*']
+ s.require_paths = ["lib"]
+ s.add_dependency('multipart-post', '~>1.1')
+ s.add_dependency('json')
+ s.add_development_dependency('rspec', "~>2.6")
+ s.add_development_dependency('webmock')
+ s.add_development_dependency('rake', '0.8.6')
+end

0 comments on commit 323c44c

Please sign in to comment.
Something went wrong with that request. Please try again.